import request from '@/utils/request'

// 分页查询证书模板
export function examElCertificateTemplatePage(data) {
  return request({
    url: '/exam/elCertificateTemplate/page',
    method: 'post',
    data: data
  })
}
// 查询证书模板列表
export function examElCertificateTemplateList(data) {
  return request({
    url: '/exam/elCertificateTemplate/list',
    method: 'post',
    data: data
  })
}
// 查询全部考试类型
export function examElExamTypeList(data) {
  return request({
    url: '/exam/elExamType/list',
    method: 'post',
    data: data
  })
}
// 编辑考试类别
export function examElExamTypeBbatchSave(data) {
  return request({
    url: '/exam/elExamType/batch-save',
    method: 'post',
    data: data
  })
}
// 获取当前登录用户的部门列表
export function systemDeptCurrentDept(data) {
  return request({
    url: '/system/dept/currentDept',
    method: 'post',
    data: data
  })
}
// 新增证书模板
export function examElCertificateTemplateAdd(data) {
  return request({
    url: '/exam/elCertificateTemplate/add',
    method: 'post',
    data: data
  })
}
// 修改证书模板
export function examElCertificateTemplateEdit(data) {
  return request({
    url: '/exam/elCertificateTemplate/edit',
    method: 'post',
    data: data
  })
}
// 删除证书模板
export function examElCertificateTemplateDel(data) {
  return request({
    url: '/exam/elCertificateTemplate/del',
    method: 'post',
    data: data
  })
}
// 查询全部专业类别
export function examElDisciplineTypeList(data) {
  return request({
    url: '/exam/elDisciplineType/list',
    method: 'post',
    data: data
  })
}
// 编辑专业类别
export function examElDisciplineTypeBatchSave(data) {
  return request({
    url: '/exam/elDisciplineType/batch-save',
    method: 'post',
    data: data
  })
}
// 修改专业类别
export function examElDisciplineTypeEdit(data) {
  return request({
    url: '/exam/elDisciplineType/edit',
    method: 'post',
    data: data
  })
}
// 删除专业类别
export function examElDisciplineTypeDel(data) {
  return request({
    url: '/exam/elDisciplineType/del',
    method: 'post',
    data: data
  })
}

// 查询基础配置 1.分级要求配置 2.学时积分配置 3.其他配置
export function examElConfigValueMap(query) {
  return request({
    url: '/exam/elConfig/value-map',
    method: 'get',
    params: query
  })
}
// 保存基础配置
export function examElConfigSave(data) {
  return request({
    url: '/exam/elConfig/save',
    method: 'post',
    data: data
  })
}
//查询知识点树
export function examElKnowledgePointTreeList(data) {
  return request({
    url: '/exam/elKnowledgePoint/tree-list',
    method: 'post',
    data: data
  })
}
//添加知识点
export function examElKnowledgePointAdd(data) {
  return request({
    url: '/exam/elKnowledgePoint/add',
    method: 'post',
    data: data
  })
}
//批量添加知识点
export function examElKnowledgePointBatchAdd(data) {
  return request({
    url: '/exam/elKnowledgePoint/batch-add',
    method: 'post',
    data: data
  })
}
//编辑知识点
export function examElKnowledgePointEdit(data) {
  return request({
    url: '/exam/elKnowledgePoint/edit',
    method: 'post',
    data: data
  })
}
//删除知识点
export function examElKnowledgePointDel(data) {
  return request({
    url: '/exam/elKnowledgePoint/del',
    method: 'post',
    data: data
  })
}
//查询课件列表
export function examElCoursewarePage(data) {
  return request({
    url: '/exam/elCourseware/page',
    method: 'post',
    data: data
  })
}
//删除课件
export function examElCoursewareDel(data) {
  return request({
    url: '/exam/elCourseware/del',
    method: 'post',
    data: data
  })
}
//新增课件
export function examElCoursewareAdd(data) {
  return request({
    url: '/exam/elCourseware/add',
    method: 'post',
    data: data
  })
}
//编辑课件
export function examElCoursewareEdit(data) {
  return request({
    url: '/exam/elCourseware/edit',
    method: 'post',
    data: data
  })
}
//学时换算方法
export function examElCoursewareCalculateLearningReward(data) {
  return request({
    url: '/exam/elCourseware/calculateLearningReward',
    method: 'post',
    data: data
  })
}
//课件详情
export function examElCoursewareDetail(query) {
  return request({
    url: '/exam/elCourseware/detail',
    method: 'get',
    params: query
  })
}
//课程列表
export function examElCoursePage(data) {
  return request({
    url: '/exam/elCourse/page',
    method: 'post',
    data: data
  })
}
//课程删除
export function examElCourseDel(data) {
  return request({
    url: '/exam/elCourse/del',
    method: 'post',
    data: data
  })
}
//课程新增
export function examElCourseAdd(data) {
  return request({
    url: '/exam/elCourse/add',
    method: 'post',
    data: data
  })
}
//课程编辑
export function examElCourseEdit(data) {
  return request({
    url: '/exam/elCourse/edit',
    method: 'post',
    data: data
  })
}
//课程详情
export function examElCourseDetail(query) {
  return request({
    url: '/exam/elCourse/detail',
    method: 'get',
    params: query
  })
}
//课程复制
export function examElCourseCopy(data) {
  return request({
    url: '/exam/elCourse/copy',
    method: 'post',
    data: data
  })
}
//试题管理列表
export function examElQuestionBankList(data) {
  return request({
    url: '/exam/elQuestionBank/list',
    method: 'post',
    data: data
  })
}
//试题管理新增
export function examElQuestionBankAdd(data) {
  return request({
    url: '/exam/elQuestionBank/add',
    method: 'post',
    data: data
  })
}
//试题管理编辑
export function examElQuestionBankEdit(data) {
  return request({
    url: '/exam/elQuestionBank/edit',
    method: 'post',
    data: data
  })
}
//试题管理删除
export function examElQuestionBankDel(data) {
  return request({
    url: '/exam/elQuestionBank/del',
    method: 'post',
    data: data
  })
}
//试题管理详情
export function examElQuestionBankDetail(query) {
  return request({
    url: '/exam/elQuestionBank/detail',
    method: 'get',
    params: query
  })
}
//试卷详情
export function examElPaperDetail(query) {
  return request({
    url: '/exam/elPaper/detail',
    method: 'get',
    params: query
  })
}
//试卷列表
export function examElPaperPage(data) {
  return request({
    url: '/exam/elPaper/page',
    method: 'post',
    data: data
  })
}
//试卷新增
export function examElPaperAdd(data) {
  return request({
    url: '/exam/elPaper/add',
    method: 'post',
    data: data
  })
}
//试卷编辑
export function examElPaperEdit(data) {
  return request({
    url: '/exam/elPaper/edit',
    method: 'post',
    data: data
  })
}
//试卷删除
export function examElPaperDel(data) {
  return request({
    url: '/exam/elPaper/del',
    method: 'post',
    data: data
  })
}
//试卷复制
export function examElPaperCopy(data) {
  return request({
    url: '/exam/elPaper/copy',
    method: 'post',
    data: data
  })
}
//查询知识点下题目数量
export function examElQuestionBankKnowledgePointCount(query) {
  return request({
    url: '/exam/elQuestionBank/knowledge-point-count',
    method: 'get',
    params: query
  })
}
//考试安排详情
export function examElExamDetail(query) {
  return request({
    url: '/exam/elExam/detail',
    method: 'get',
    params: query
  })
}
//考试安排列表
export function examElExamPage(data) {
  return request({
    url: '/exam/elExam/page',
    method: 'post',
    data: data
  })
}
//考试安排新增
export function examElExamAdd(data) {
  return request({
    url: '/exam/elExam/add',
    method: 'post',
    data: data
  })
}
//考试安排编辑
export function examElExamEdit(data) {
  return request({
    url: '/exam/elExam/edit',
    method: 'post',
    data: data
  })
}
//考试安排复制
export function examElExamCopy(data) {
  return request({
    url: '/exam/elExam/copy',
    method: 'post',
    data: data
  })
}
//考试安排删除
export function examElExamDel(data) {
  return request({
    url: '/exam/elExam/del',
    method: 'post',
    data: data
  })
}
//考试安排创建补考
export function examElExamMakeupAdd(data) {
  return request({
    url: '/exam/elExam/makeup-add',
    method: 'post',
    data: data
  })
}
//分级下拉列表
export function laboratoryLevelConfigGetLevelTitleList(data) {
  return request({
    url: '/laboratory/levelConfig/getLevelTitleList',
    method: 'post',
    data: data
  })
}
//考试安排查询补考候选人
export function examElExamMakeupCandidates(data) {
  return request({
    url: '/exam/elExam/makeup-candidates',
    method: 'post',
    data: data
  })
}
//考试结果列表
export function examElExamResultPage(data) {
  return request({
    url: '/exam/elExamResult/page',
    method: 'post',
    data: data
  })
}
//考试成绩明细列表
export function examElExamResultScorePage(data) {
  return request({
    url: '/exam/elExamResult/score-page',
    method: 'post',
    data: data
  })
}
//用户类别下拉列表
export function systemUserGetCategories(data) {
  return request({
    url: '/system/user/getCategories',
    method: 'post',
    data: data
  })
}
//学年下拉列表
export function systemUserGetAcademicYear(data) {
  return request({
    url: '/system/user/getAcademicYear',
    method: 'post',
    data: data
  })
}
//查询指定用户列表
export function systemUserGetUserDataByParam(data) {
  return request({
    url: '/system/user/getUserDataByParam',
    method: 'post',
    data: data
  })
}
//查询指定范围列表
export function systemUserGetRuleDataByParam(data) {
  return request({
    url: '/system/user/getRuleDataByParam',
    method: 'post',
    data: data
  })
}


